<?php
$files = [
    'index.php' => 'Main landing page of the project.',
    'form.php' => 'Contains the registration form.',
    'handle_form.php' => 'Processes and validates form submissions.',
    'site_header.php' => 'Includes the site header.',
    'site_footer.php' => 'Includes the site footer.'
];
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Project File Index</title>
    <style>
        body { font-family: Arial, sans-serif; margin: 20px; }
        h1 { color: #333; }
        ul { list-style-type: none; padding: 0; }
        li { background: #f4f4f4; margin: 5px 0; padding: 10px; border-radius: 5px; }
        a { text-decoration: none; color: #007bff; }
        a:hover { text-decoration: underline; }
    </style>
</head>
<body>
    <h1>Project File Index</h1>
    <ul>
        <?php foreach ($files as $file => $description): ?>
            <li>
                <a href="<?php echo $file; ?>" target="_blank"><strong><?php echo $file; ?></strong></a>: 
                <?php echo $description; ?>
            </li>
        <?php endforeach; ?>
    </ul>
</body>
</html>
